-- FLIGHT PLAN (PRESENT)
local	awls_brg_deg				= CreateElement "ceStringPoly"
		awls_brg_deg.name			= "awls_brg_deg"
		awls_brg_deg.material		= mpcd_font_base
		awls_brg_deg.init_pos		= { 0.30,  0.80, 0}
		awls_brg_deg.alignment		= "LeftCenter"
		awls_brg_deg.formats		= {"%03d;"}
		awls_brg_deg.stringdefs		= MPCD_large_font_size
		awls_brg_deg.controllers	= {{"nav_awls_prst"}, {"nav_awls_brg"}}
Add_MPCD_Element(awls_brg_deg)

local	awls_rng_nm				= CreateElement "ceStringPoly"
		awls_rng_nm.name		= "awls_rng_nm"
		awls_rng_nm.material	= mpcd_font_base
		awls_rng_nm.init_pos	= { 0.90,  0.80, 0}
		awls_rng_nm.alignment	= "RightCenter"
		awls_rng_nm.formats		= {"%1.1f"}
		awls_rng_nm.stringdefs	= MPCD_large_font_size
		awls_rng_nm.controllers	= {{"nav_awls_prst"}, {"nav_awls_rng"}}
Add_MPCD_Element(awls_rng_nm)

local	awls_ttg				= CreateElement "ceStringPoly"
		awls_ttg.name			= "awls_ttg"
		awls_ttg.material		= mpcd_font_base
		awls_ttg.init_pos		= { 0.60,  0.70, 0}
		awls_ttg.alignment		= "CenterCenter"
		awls_ttg.formats		= {"%d:%02d"}
		awls_ttg.stringdefs		= MPCD_large_font_size
		awls_ttg.controllers	= {{"nav_awls_prst"}, {"nav_awls_ttg"}}
Add_MPCD_Element(awls_ttg)

-- FLIGHT PLAN (MISSING)
local	awls_bearing_deg				= CreateElement "ceStringPoly"
		awls_bearing_deg.name			= "awls_bearing_deg"
		awls_bearing_deg.material		= mpcd_font_base
		awls_bearing_deg.init_pos		= { 0.30,  0.80, 0}
		awls_bearing_deg.alignment		= "LeftCenter"
		awls_bearing_deg.value			= "---;"
		awls_bearing_deg.stringdefs		= MPCD_large_font_size
		awls_bearing_deg.controllers	= {{"nav_awls_no_brg"}}
Add_MPCD_Element(awls_bearing_deg)

local	awls_range_nm				= CreateElement "ceStringPoly"
		awls_range_nm.name			= "awls_range_nm"
		awls_range_nm.material		= mpcd_font_base
		awls_range_nm.init_pos		= { 0.90,  0.80, 0}
		awls_range_nm.alignment		= "RightCenter"
		awls_range_nm.value			= "-.-"
		awls_range_nm.stringdefs	= MPCD_large_font_size
		awls_range_nm.controllers	= {{"nav_awls_no_rng"}}
Add_MPCD_Element(awls_range_nm)

local	awls_time_to_go				= CreateElement "ceStringPoly"
		awls_time_to_go.name		= "awls_time_to_go"
		awls_time_to_go.material	= mpcd_font_base
		awls_time_to_go.init_pos	= { 0.60,  0.70, 0}
		awls_time_to_go.alignment	= "CenterCenter"
		awls_time_to_go.value		= "--:--"
		awls_time_to_go.stringdefs	= MPCD_large_font_size
		awls_time_to_go.controllers	= {{"nav_awls_no_ttg"}}
Add_MPCD_Element(awls_time_to_go)

-- SYMBOLS
local	awls_loc_ptr				= create_mpcd_textured_box( 50, 775, 88, 818, nil, 1095, 1)
		awls_loc_ptr.name			= "awls_loc_ptr"
		awls_loc_ptr.init_pos		= {0, 0, 0}
		awls_loc_ptr.controllers	= {{"nav_awls_prst"}, {"nav_awls_brg_ptr"}}
Add_MPCD_Element(awls_loc_ptr)
